MessageInfo (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.service.model

## Class MessageInfo

- java.lang.Object
- - org.apache.cxf.service.model.AbstractPropertiesHolder
  - - org.apache.cxf.service.model.AbstractMessageContainer
    - - org.apache.cxf.service.model.MessageInfo

- All Implemented Interfaces:
    `Extensible`, `NamedItem`

      public class MessageInfo
      extends AbstractMessageContainer

  A message for an operation.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `MessageInfo.Type` |

  - ### Field Summary

    - ### Fields inherited from class org.apache.cxf.service.model.AbstractMessageContainer

      `mName`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MessageInfo​(OperationInfo op, MessageInfo.Type type, QName nm)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Map<QName,​MessagePartInfo>` | `getMessagePartsMap()` |
    `List<MessagePartInfo>` | `getOrderedParts​(List<String> order)` |
    `MessageInfo.Type` | `getType()` |
    `void` | `setName​(QName qn)` |
    `void` | `setType​(MessageInfo.Type type)` |
    `String` | `toString()` |

    - ### Methods inherited from class org.apache.cxf.service.model.AbstractMessageContainer

      `addMessagePart, addMessagePart, addMessagePart, addOutOfBandMessagePart, equals, getFirstMessagePart, getMessageDocumentation, getMessagePart, getMessagePart, getMessagePartByIndex, getMessagePartIndex, getMessagePartQName, getMessageParts, getMessagePartsNumber, getName, getOperation, getOutOfBandParts, hashCode, removeMessagePart, setMessageDocumentation, size`

    - ### Methods inherited from class org.apache.cxf.service.model.AbstractPropertiesHolder

      `addExtensionAttribute, addExtensor, containsExtensor, equals, getDocumentation, getExtensionAttribute, getExtensionAttributes, getExtensor, getExtensors, getExtensors, getProperties, getProperty, getProperty, getTraversedExtensor, hasProperty, removeProperty, setDelegate, setDocumentation, setExtensionAttributes, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageInfo

          public MessageInfo​(OperationInfo op,
                             MessageInfo.Type type,
                             QName nm)

  - ### Method Detail

    - #### setName

          public void setName​(QName qn)

    - #### getMessagePartsMap

          public Map<QName,​MessagePartInfo> getMessagePartsMap()

    - #### getOrderedParts

          public List<MessagePartInfo> getOrderedParts​(List<String> order)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getType

          public MessageInfo.Type getType()

    - #### setType

          public void setType​(MessageInfo.Type type)